Loading...
Searching...
No Matches
tiny_dnn::stateful_optimizer< N > Struct Template Reference
Inheritance diagram for tiny_dnn::stateful_optimizer< N >:
[legend]
Collaboration diagram for tiny_dnn::stateful_optimizer< N >:
[legend]

## Public Member Functions

void | reset () override
Public Member Functions inherited from tiny_dnn::optimizer
| optimizer (const optimizer &)=default
| optimizer (optimizer &&)=default
optimizer & | operator= (const optimizer &)=default
optimizer & | operator= (optimizer &&)=default
virtual void | update (const vec_t &dW, vec_t &W, bool parallelize)=0

## Protected Member Functions

template<int Index>
vec_t & | get (const vec_t &key)

## Protected Attributes

std::unordered_map< const vec_t *, vec_t > | E_ [N]

## Member Function Documentation

## reset()

template<int N>

void tiny_dnn::stateful_optimizer< N >::reset | ( |  | ) |

inline override virtual

Reimplemented from tiny_dnn::optimizer.

The documentation for this struct was generated from the following file:

- tiny_dnn/optimizers/optimizer.h